Debian Bug report logs - #590952
guile-pg: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory

version graph

Package: src:guile-pg; Maintainer for src:guile-pg is Sam Hocevar <sho@debian.org>;

Reported by: Philipp Kern <pkern@debian.org>

Date: Fri, 30 Jul 2010 13:45:04 UTC

Severity: serious

Found in version guile-pg/0.16-4.2

Fixed in version guile-pg/0.16-5

Done: Sam Hocevar <sho@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#590952; Package src:guile-pg. (Fri, 30 Jul 2010 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
New Bug report received and forwarded. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Fri, 30 Jul 2010 13:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: guile-pg: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory
Date: Fri, 30 Jul 2010 15:41:13 +0200
[Message part 1 (text/plain, inline)]
Source: guile-pg
Version: 0.16-4.2
Severity: serious

> ╔══════════════════════════════════════════════════════════════════════════════╗
> ║ guile-pg 0.16-4.2 (powerpc)                                30 Jul 2010 12:41 ║
> ╚══════════════════════════════════════════════════════════════════════════════╝
[...]
 libtool: install: warning: remember to run `libtool --finish /usr/lib/guile-pg/0.16'
> make[4]: Leaving directory `/build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16'
> make[3]: Leaving directory `/build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16'
> make[2]: Leaving directory `/build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16'
> make[1]: Leaving directory `/build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16'
> rm /build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16/debian/guile-pg/usr/share/info/dir*
> rm: cannot remove `/build/buildd-guile-pg_0.16-4.2-powerpc-SgY5au/guile-pg-0.16/debian/guile-pg/usr/share/info/dir*': No such file or directory
> make: *** [install] Error 1
> dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary-arch gave error exit status 2
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20100730-1243
> FAILED [dpkg-buildpackage died]
> ───────────────────────────────
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#590952; Package src:guile-pg. (Wed, 04 Aug 2010 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bhavani Shankar R <bhavi@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Wed, 04 Aug 2010 06:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 590952@bugs.debian.org (full text, mbox):

From: Bhavani Shankar R <bhavi@ubuntu.com>
To: 590952@bugs.debian.org
Subject: Re: guile-pg: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory
Date: Wed, 4 Aug 2010 12:26:16 +0530
[Message part 1 (text/plain, inline)]
Tags: patch
thanks

Hello dear maintainer

the attached patch circumvents FTBFS

regards


-- 

Bhavani Shankar.R
https://launchpad.net/~bhavi, a proud ubuntu community  member.
What matters in life is application of mind!,
It makes great sense to have some common sense..!
[guile-pg.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Bhavani Shankar R <bhavi@ubuntu.com> to control@bugs.debian.org. (Wed, 04 Aug 2010 08:00:03 GMT) Full text and rfc822 format available.

Reply sent to Gerfried Fuchs <rhonda@debian.at>:
You have taken responsibility. (Fri, 13 Aug 2010 21:51:12 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Fri, 13 Aug 2010 21:51:12 GMT) Full text and rfc822 format available.

Message #17 received at 590952-close@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 590952-close@bugs.debian.org
Subject: Bug#590952: fixed in netris 0.52-9
Date: Fri, 13 Aug 2010 21:47:18 +0000
Source: netris
Source-Version: 0.52-9

We believe that the bug you reported is fixed in the latest version of
netris, which is due to be installed in the Debian FTP archive:

netris_0.52-9.diff.gz
  to main/n/netris/netris_0.52-9.diff.gz
netris_0.52-9.dsc
  to main/n/netris/netris_0.52-9.dsc
netris_0.52-9_powerpc.deb
  to main/n/netris/netris_0.52-9_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerfried Fuchs <rhonda@debian.at> (supplier of updated netris package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 13 Aug 2010 23:12:17 +0200
Source: netris
Binary: netris
Architecture: source powerpc
Version: 0.52-9
Distribution: unstable
Urgency: low
Maintainer: Gerfried Fuchs <rhonda@debian.at>
Changed-By: Gerfried Fuchs <rhonda@debian.at>
Description: 
 netris     - free, networked version of T*tris
Closes: 590952
Changes: 
 netris (0.52-9) unstable; urgency=low
 .
   * Add Vcs-* fields.
   * Bump Standards-Version to 3.9.1.
   * Relicense packaging under WTFPLv2.
   * New patch fix-memory-leak to fix a memory leak and adding another memory
     related check. Thanks to TomaszN (closes: #590952)
Checksums-Sha1: 
 e6dc6073f8687f851b1657ead6436c43fc118cef 1049 netris_0.52-9.dsc
 b44d2e3d2df9f7b49e28fe7fc6c54824632b3334 14482 netris_0.52-9.diff.gz
 88a58c3518a426e721bcbaed2a91ae905fe76cb4 42190 netris_0.52-9_powerpc.deb
Checksums-Sha256: 
 f632d130d54d83e9543a645671225984f1107263fbbff98a5aa50cf370bfa1a6 1049 netris_0.52-9.dsc
 7364a74dabf43e834a2dc76352191b8794094c1f5f4ab02c64950af61a40261b 14482 netris_0.52-9.diff.gz
 a558e8f4caac49c00c838314606ddae7ad34dbbc2806f67fb92e10db9ac407d6 42190 netris_0.52-9_powerpc.deb
Files: 
 3d7e5e7bb188120ada70fbcb9194394b 1049 games optional netris_0.52-9.dsc
 bcb89050ea70e85bace2b48e2b5826f0 14482 games optional netris_0.52-9.diff.gz
 21c4f91b7bcc77ee1c1672445f809ed4 42190 games optional netris_0.52-9_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxlt7IACgkQELuA/Ba9d8bk/QCgqXX/qWC7qThRMXD2zPb1RG41
cSMAnRTwmRbfiLVamqz0CoSyv/iSECJ/
=YUbF
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions netris/0.52-9 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 22:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#590952; Package src:guile-pg. (Mon, 06 Sep 2010 14:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Mon, 06 Sep 2010 14:21:16 GMT) Full text and rfc822 format available.

Message #24 received at 590952@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Bhavani Shankar R <bhavi@ubuntu.com>, 590952@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#590952: guile-pg: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory
Date: Mon, 6 Sep 2010 14:32:45 +0200
[Message part 1 (text/plain, inline)]
tags 590952 - patch
thanks

(I am not maintainer of this package.)

* Bhavani Shankar R <bhavi@ubuntu.com>, 2010-08-04, 12:26:
>-	rm $(CURDIR)/debian/guile-pg/usr/share/info/dir*

I don't think this patch is appropriate. The rm command was added here 
for a reason and I believe that dir files are sill created in some 
circumstances (though probably not in a clean chroot).

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 06 Sep 2010 14:21:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#590952; Package src:guile-pg. (Sun, 03 Oct 2010 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sun, 03 Oct 2010 19:45:05 GMT) Full text and rfc822 format available.

Message #31 received at 590952@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Bhavani Shankar R <bhavi@ubuntu.com>, 590952@bugs.debian.org
Subject: Re: Bug#590952: guile-pg: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory
Date: Sun, 3 Oct 2010 21:43:03 +0200
[Message part 1 (text/plain, inline)]
Jakub Wilk <jwilk@debian.org> (06/09/2010):
> I don't think this patch is appropriate. The rm command was added
> here for a reason

Indeed, ensuring installability.

> and I believe that dir files are sill created in some circumstances
> (though probably not in a clean chroot).

Yes, see install-info transition. One probably wants to remove it
conditionally (as in rm -rf, so that it doesn't fail if there's
nothing to remove).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, twerner@debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#590952; Package src:guile-pg. (Sun, 10 Apr 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to twerner@debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sun, 10 Apr 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 590952@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <590952@bugs.debian.org>
Subject: Re: FTBFS: rm: cannot remove `[...]/debian/guile-pg/usr/share/info/dir*': No such file or directory
Date: Sun, 10 Apr 2011 22:25:51 +0200
Package: guile-pg
Version: 0.16-4.2
Severity: normal

Hi maintainer,

do you plan to fix this bug?

Torsten




Reply sent to Sam Hocevar <sho@debian.org>:
You have taken responsibility. (Sun, 19 Jun 2011 01:21:06 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Sun, 19 Jun 2011 01:21:06 GMT) Full text and rfc822 format available.

Message #41 received at 590952-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sho@debian.org>
To: 590952-close@bugs.debian.org
Subject: Bug#590952: fixed in guile-pg 0.16-5
Date: Sun, 19 Jun 2011 01:17:51 +0000
Source: guile-pg
Source-Version: 0.16-5

We believe that the bug you reported is fixed in the latest version of
guile-pg, which is due to be installed in the Debian FTP archive:

guile-pg_0.16-5.diff.gz
  to main/g/guile-pg/guile-pg_0.16-5.diff.gz
guile-pg_0.16-5.dsc
  to main/g/guile-pg/guile-pg_0.16-5.dsc
guile-pg_0.16-5_amd64.deb
  to main/g/guile-pg/guile-pg_0.16-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar <sho@debian.org> (supplier of updated guile-pg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jun 2011 02:44:57 +0200
Source: guile-pg
Binary: guile-pg
Architecture: source amd64
Version: 0.16-5
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar <sho@debian.org>
Changed-By: Sam Hocevar <sho@debian.org>
Description: 
 guile-pg   - Guile bindings for the PostgreSQL client library
Closes: 590952 621316
Changes: 
 guile-pg (0.16-5) unstable; urgency=low
 .
   * debian/rules: empty the dependency_libs line in libpostgres.la
     (Closes: #621316).
   * debian/rules: fix a build failure when /usr/share/info/dir was not
     actually created (Closes: #590952).
Checksums-Sha1: 
 069774b041bf73584c076c9d43fd247838b684f5 1673 guile-pg_0.16-5.dsc
 585c3180aeb9784a733d6f1dec1a14f62f85c9e7 612708 guile-pg_0.16-5.diff.gz
 a6cea9a01ff3694409d31b904ca8254fc178e7e2 81632 guile-pg_0.16-5_amd64.deb
Checksums-Sha256: 
 dd450bd9aea1ecf62d381988a1855e180aefed2e0507367ea00834c94a8c8a13 1673 guile-pg_0.16-5.dsc
 5727e958cf0e346b14812a0b380c1b081f518e17c98e2f409fc550c87652ad93 612708 guile-pg_0.16-5.diff.gz
 216d2414e61c7012a514812c8443bd3eb6678669591246b9f68a89155eb31750 81632 guile-pg_0.16-5_amd64.deb
Files: 
 66e7af3f60d15c758fd25c9b9fd2327c 1673 interpreters optional guile-pg_0.16-5.dsc
 699022426071c7c0fcb4e97f2efad2b7 612708 interpreters optional guile-pg_0.16-5.diff.gz
 f808ec470a37b49f968bc2e7984def80 81632 interpreters optional guile-pg_0.16-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN/Ur7AAoJEAVcSzX////+LEAP/1QC9zeJhUzVwLuIZ6gRBQIS
rX/fyHHvQ449NfjYQvAIkJK15Na/5ouZ2eIIvZOdfFVKs7FbjLjyiI4f8zO45x5Y
QvbdoW+jrtiWGwiZbk3uv1tQXbYIQhZExnRZ+htPLMt2tqK1AUn167SHgDpyf+9T
euDMpvKiGcKp2CQm8ynlCius3SSbXNQ0SF2nibcSOQCZMLbt6nrew41PkeFFCT3C
FXpGtapDEIDm3Pcsapbsc7uIV5+kf0OWotS+homHxPH7iVKDD5OfkPGqW+kgP0Bz
ZUwvj3MIHAzzDiN5/q07jYGKgtAq9JxGBlsWDIb0FvbbF4xRERd9UF4FUtszS3i/
pkuGTPmQO5yGtrils7KDxeYfh3gPagL+bUvXbRC5eqP9uIR0QTQ5sfApxHUeWCpv
2rGzYCRikVfB7OdJu4ztMtJ8NnikWbdgETH0kLe7q62qlrvL8HYq+oG+pwRyMXmW
9Wl4uqVP/dDErmXUMKAV2DWI0W63UEfIlA1/J/RJGOEY8GwA4NSh9cuIIFRgUpSe
beq86/npKPvBck9qgjDw7OH9eZ8xq5BxDKy5Ps2N4UCIboCU9Egknz/1dGl9lLAJ
aCH4wSIVsubONIjqy3mPnPnI/Zvw4SoCcke3xggAVfm0WpmN5GH+HK3XyL8uUuOK
yatcgM6wKuSaW11KbF2n
=gMMl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:32:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.